defmodule PrymnWeb.ServerLive.Edit do
  use PrymnWeb, :live_view

  alias Prymn.Servers

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    server = Servers.get_server!(id)

    {:noreply,
     socket
     |> assign(:page_title, "Editing #{server.name}")
     |> assign(:server, server)}
  end

  @impl true
  def handle_info({PrymnWeb.ServerLive.FormComponent, {:saved, server}}, socket) do
    {:noreply, assign(socket, :server, server)}
  end
end
